## sword-1.5.6.tar.gz

=== apps/windoze/Makefile ===

root := ../..
subdirs := CBuilder3
pre-targets := 
include ${root}/Makefile.cfg


s = $(c) $(cpp)
d = $(c:%.c=%.d) $(cpp:%.cpp=%.d)
o = $(c:%.c=%.o) $(cpp:%.cpp=%.o)

ifneq ($(nodeps),yes)
-include $(d)
endif
