=== apps/X11/micros/Makefile ===
root := ../../..
subdirs := 
clean-targets := none
targets := micros
# set bin so we don't build these .o's into shared lib
bin := noshare
include ${root}/Makefile.cfg
CPPFLAGS  += -I.
CPPFLAGS  += `gtk-config --cflags` -I/usr/include
LDFLAGS  += `gtk-config --libs`

cpp += micros.cpp
cpp += microssig.cpp

include ${root}/Makefile.post

micros: $(o)
	$(CROSS_COMPILE)$(CC) -o $@ $(o) -L$(root)/lib $(LIBS) -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -L/usr/X11R6/lib -lXi -lXext -lX11 -lm
