=== debian/changelog ===
sword (1.5.5.99-2) unstable; urgency=low

  * Another prerelease build
  * split config files out into separate package so we can have different
    sword libs installed at the same time later on

 -- Daniel Glassey <wdg@debian.org>  Wed, 16 Jul 2003 14:48:22 +0100

sword (1.5.5.99-1) unstable; urgency=low

  * Build a pre-release from a make dist from cvs
  * change lib version for imminent 1.5.6
  * depend on icu 2.6 to test that
  * api docs have been moved out into separate source

 -- Daniel Glassey <wdg@debian.org>  Thu, 10 Jul 2003 12:45:18 +0100

sword (1.5.5-4) unstable; urgency=low

  * debian/control remove extra blank line that stops building on woody

 -- Daniel Glassey <wdg@debian.org>  Thu,  1 May 2003 09:59:14 +0100

sword (1.5.5-3) unstable; urgency=low

  * libsword-dev now depends on icu stuff so apps that build with it don't
      have to
  * conflict with libsword1 since both include config files (may split these
      out into separate package for 1.5.6), Closes #189647

 -- Daniel Glassey <wdg@debian.org>  Sat, 19 Apr 2003 16:01:05 +0100

sword (1.5.5-2) unstable; urgency=low

  * Close the new upstream bug, Closes: #175322
  * uses autotools-dev to get the uptodate config.guess and
    config.sub, hopefully will sort out mips problem, Closes: #187703
  * Utilities are now really included - bug 157115 tagged for woody
  * debian/control - change section of libsword-dev to libdevel
  * debian/rules - 
      remove alpha compiler flags since it is ok with gcc3.2, Closes: #142703
      use confflags like autotools-dev says
      copy the config.guess and .sub from autotools-dev

 -- Daniel Glassey <wdg@debian.org>  Sat,  5 Apr 2003 12:53:06 +0100

sword (1.5.5-1) unstable; urgency=low

  * New upstream release
  * Rename library package to libsword2c102 since it is a new
     libver from 1.5.3 and it is part of the gcc3.2 transition
  * build with icu support now that icu has made the transition
     so build-depend on libicu21-dev and icu
  * build depend on debhelper >= 4.0.0

 -- Daniel Glassey <wdg@debian.org>  Tue, 26 Mar 2003 18:42:28 +0000

sword (1.5.4+cvs20021008-1) unstable; urgency=low

  * try and build a package from cvs

 -- Daniel Glassey <wdg@debian.org>  Tue,  8 Oct 2002 19:08:46 +0100

sword (1.5.4-1) unstable; urgency=low

  * new upstream version
  * bump shlibs version since old version was released with woody
  * package now libsword2 instead of libsword1

 -- Daniel Glassey <wdg@debian.org>  Sat, 28 Sep 2002 13:31:47 +0100

sword (1.5.3-3) unstable; urgency=high

  * problem integrating hppa patch messed up rules, trying again
  * updating README.Debian to mention apt-gettable archive on
     crosswire

 -- Daniel Glassey <wdg@debian.org>  Sun, 14 Apr 2002 15:19:14 +0100

sword (1.5.3-2) unstable; urgency=low

  * make sure will build on gcc-3.0, sorry, Closes: #142617
  * alpha won't compile with -g flag so compiling without it
     see bug 142703

 -- Daniel Glassey <wdg@debian.org>  Sat, 13 Apr 2002 13:04:28 +0100

sword (1.5.3-1) unstable; urgency=high

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Tue,  2 Apr 2002 21:38:58 +0100

sword (1.5.2-10) unstable; urgency=low

  * -9 failed on hppa, using namespace std needed in testblocks.cpp
     fix tested on sarti

 -- Daniel Glassey <wdg@debian.org>  Sat,  9 Feb 2002 18:20:40 +0000

sword (1.5.2-9) unstable; urgency=low

  * make the diatheke configure executable in debian/rules
        Closes: #132863
  * make diatheke description useful debian/control
  * bump shlibs version to 1.5.2-9
  * debian/rules dh_shlibdeps changed to -ldebian/tmp/usr/lib
  * compzip.cpp #include string.h and stdlib.h added for gcc 3.0 
  * README.Debian mention #sword irc channel

 -- Daniel Glassey <wdg@debian.org>  Fri,  8 Feb 2002 08:59:29 +0000

sword (1.5.2-8) unstable; urgency=low

  * rwphtml change greek_str to signed char
  * migrate to automake 1.5
  * move utilities to separate package libsword-runtime, Closes: #130909
  * new package containing diatheke from apps/console/diatheke, Closes: #130908
  * Bump standards version to 3.5.6.0

 -- Daniel Glassey <wdg@debian.org>  Thu, 24 Jan 2002 20:01:16 +0000

sword (1.5.2-7) unstable; urgency=low

  * Rename roman.cpp to romanc.cpp, Closes #130038
  * Update README.Debian to mention apt-gettable module archive
     deb http://www.crosswire.org/~glasseyes/debian unstable main

 -- Daniel Glassey <wdg@debian.org>  Wed, 23 Jan 2002 18:53:18 +0000

sword (1.5.2-6) unstable; urgency=low

  * remove -Werror, autobuilders not happy (fair enough, I can check
     through the build logs for warnings myself :) )
  * rawstr, rawstr4 more signed char in findoffset, Closes: #130038
  * c++ comments so roman.c -> roman.cpp, Closes: #129886

 -- Daniel Glassey <wdg@debian.org>  Mon, 21 Jan 2002 20:19:31 +0000

sword (1.5.2-5) unstable; urgency=low

  * char signedness fixes
     (in response to debian-devel-announce from Gerhard Tonn
     swkey: persist to signed char
     swmodule: createModule to signed char
               createSearchFramework to signed char
     versekey: book,testament to signed char
     swmgr: setCipherKey to signed char
     filemgr: trunc to signed char
     rawtext: createSearchFramework to signed char
     rawstr: findoffset to signed char
     rawstr4: findoffset to signed char
              in gettext make localsize to unsigned int      
  * use -Werror in Makefile.cfg to catch any more
  *  anything else is either already fixed or will be fixed in the
        imminent version 1.5.3

 -- Daniel Glassey <wdg@debian.org>  Thu, 17 Jan 2002 23:55:08 +0000

sword (1.5.2-4) unstable; urgency=low

  * Change maintainer to wdg@debian.org 
  * change shlibs to libsword1 >= 1.5.2-4 (gnomesword bug 123418)
      by dh_makeshlibs -V 'libsword1 (>= 1.5.2-4)' in debian/rules
  * remove reference to cheatah in package description

 -- Daniel Glassey <wdg@debian.org>  Tue, 11 Dec 2001 22:36:44 +0000

sword (1.5.2-3) unstable; urgency=low


